Update Device Alias

This method updates the device name to a given custom name that will be displayed in Saner web console. The 'accountid' must be passed as a query parameter.

Key NameMeaningMandatoryData Type
hostnameHostname of the device whose alias needs to be updatedYesstring
aliasCustom alias name to be assigned to the deviceYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.updateAlias(
    hostname="DemoHost",
    alias="NewDemoHost"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json